/*
#
#    This distribution makes makes asynchronous client/server communication possible 
#    using TLVs (Type Length Value). It achieves that letting the user define
#    an IDL which serves as input to a code generator.  The code generated is linked in
#    the client and the server program.
#
#    Copyright (C) <2005>  <Sanjay Jaiman>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
*/

/*
  _############################################################################
  _## 
  _##  myCOnn.h
  _## 
  _##
  _##  
  _##########################################################################
*/

#ifndef _MYCONN_H_
#define _MYCONN_H_

#include "myFirstConnBase.h"

class myConn: public myFirstConnBase
{
 public:
  myConn(Connections *c, int clientOrServer, int fd);
  
 public:
  static myConn *staticConn;

 public:
  void userConnectionEstablished();
  void userOkToSend();
  void userDisconnectProcessing();
  static void timer_routine(char *timerName);
 public:
  virtual int  abcRX(struct_1 *p1, struct_2 *p2, struct_2 &p3);
  virtual int  defRX(struct_3 *p1, struct_4 *p2);

  virtual void  abcCB(struct_2 *p2);
  virtual void  defCB(struct_4 *p2);

  virtual void  abcCBError();
};

#endif
